#include <stdio.h>
#include <termios.h>
#include <sys/types.h>
        #include <sys/stat.h>
        #include <fcntl.h>

#define BAUDRATE B38400
#define MODEMDEVICE "/dev/ttyS0"

int main()
{
  int fd,c, res;
  struct termios oldtio,newtio;
  char buf[255];
  fd = open(MODEMDEVICE, O_RDWR | O_NOCTTY ); 
  if (fd <0) {perror(MODEMDEVICE); exit(-1); }
        
  tcgetattr(fd,&oldtio); /* save current serial port settings */
  bzero(&newtio, sizeof(newtio)); /* clear struct for new port settings */
        
  newtio.c_cflag = BAUDRATE | CS8 | CLOCAL | CREAD ;
         
  //newtio.c_iflag = IGNPAR | ICRNL;
         
  newtio.c_oflag = 0;
         
//  newtio.c_lflag = ICANON;
         
  tcflush(fd, TCIFLUSH);
  tcsetattr(fd,TCSANOW,&newtio);
  sprintf(buf, "AA");
  write(fd,buf,1);
        
         /* restore the old port settings */
  tcsetattr(fd,TCSANOW,&oldtio);
}
